﻿
@{
    ViewBag.Title = "Sign-Out Sheet Reports";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model  SignOutSheetPdfSchoolViewModel
<html>
<head>
    <meta charset="utf-8">
    <title>Sign-Out Sheet Reports</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .structure-gray th {
            white-space: nowrap !important;
        }

        .jbt-table-custom p, .jbt-table-custom p span {
            font-size: 13px !important;
        }

        .jbt-table-custom hr {
            color: #eee !important;
            box-shadow: none !important;
        }

        .structure-divider-large:not(:last-child) {
            page-break-after: always;
        }
    </style>
</head>
<body>
    <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
        <tr>
            <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.ClubLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                }

                @if (!string.IsNullOrEmpty(Model.SchoolLogo) && Model.SchoolLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.SchoolLogo" />
                }
                else if (!string.IsNullOrEmpty(Model.SchoolLogo))
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.SchoolLogo)" />
                }

            </td>
        </tr>
    </table>

    @foreach (var item in Model.Programs)
    {
        if (item.ProgramParticipants == null)
        {
            continue;
        }

        <div class="structure-divider-large">

            <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
                <tr>
                    <td style="min-width:210px"><span class="structure-bold structure-no-wrap">Class: </span> @item.ClassName</td>
                    <td style="min-width:210px"><span class="structure-bold structure-no-wrap">Time period: </span> @item.SeasonName</td>
                    <td style="min-width:210px"><span class="structure-bold structure-no-wrap">Minimum enrollments: </span> @item.MinimumEnrollments</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">Grades/Ages: </span>@item.GradesOrAges</td>
                    <td><span class="structure-bold structure-no-wrap">Primary instructor: </span> @item.Instructor</td>
                    <td><span class="structure-bold structure-no-wrap">Capacity: </span> @item.Capacity</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">School: </span> @item.SchoolName</td>
                    <td><span class="structure-bold structure-no-wrap">Facility/Room: </span><span>@item.Location</span></td>
                    <td><span class="structure-bold structure-no-wrap">Enrolled: </span>@item.Enrolled</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">Days: </span>@item.ClassDays</td>
                    <td><span class="structure-bold structure-no-wrap"> </span></td>
                    <td><span class="structure-bold structure-no-wrap">Pending: </span>@item.Pending</td>
                </tr>
                <tr>
                    <td><span class="structure-bold structure-no-wrap">Time: </span>@item.StrTime</td>
                    <td><span class="structure-bold structure-no-wrap"> </span></td>
                    <td><span class="structure-bold structure-no-wrap">WaitList: </span>@item.WaitList</td>
                </tr>
            </table>


            <table class="jbt-table-custom" ng-show="">
                <thead>
                    <tr class="structure-gray">
                        <th style="max-width:50px;width:50px;">#</th>
                        <th style="max-width:110px;width:110px;">Participant</th>
                        <th style="max-width:110px;width:110px;">Teacher</th>
                        <th style="max-width:90px;width:90px;">Dismissal</th>
                        <th style="max-width:100px;width:100px;">Morning arrival</th>
                        <th style="width: 80px">Sign in</th>
                        <th style="width: 160px">Authorized pick up</th>
                        <th style="width: 80px">Signature</th>
                    </tr>
                </thead>
                <tbody>
                    @if (@item.ProgramParticipants != null)
                    {
                        foreach (var participant in item.ProgramParticipants)
                        {
                            <tr>
                                <td class="structure-text-center">@participant.Number</td>
                                <td class="structure-text-center">
                                    <p><span style="font-size: 10px !important">@participant.ParticipantName</span></p>
                                </td>
                                <td class="structure-text-center">
                                    <p><span style="font-size: 10px !important">@participant.TeacherName</span></p>
                                </td>
                                <td class="structure-text-center">
                                    <p style="font-size: 10px !important"><span style="font-size: 10px !important">@participant.TransportHome</span></p>
                                </td>
                                <td class="structure-text-center">
                                    <p style="font-size: 10px !important"><span style="font-size: 10px !important">@participant.MorningProgramArrival</span></p>
                                </td>
                                <td class="structure-text-center" style="width: 60px; height: 50px">&nbsp;</td>
                                <td class="structure-text-center">
                                    <p style="font-size: 10px !important"><span style="font-size: 10px !important">@participant.AuthorizedAdultNames</span></p>
                                </td>
                                <td class="structure-text-center" style="width: 60px; height: 50px">&nbsp;</td>
                            </tr>
                        }
                    }
                    else
                    {
                        <tr style="display: none">
                            <th style="max-width:50px;width:50px;"></th>
                            <th style="max-width:110px;width:180px;"></th>
                            <th style="max-width:110px;width:150px;"></th>
                            <th style="max-width:90px;width:60px;"></th>
                            <th style="max-width:100px;width:70px;"></th>
                            <th style="width: 80px"></th>
                            <th style="width: 160px"></th>
                            <th style="width: 80px"></th>
                        </tr>
                    }
                </tbody>

            </table>

            @if (item.Staffs != null && item.ProgramParticipants != null)
            {
                <table class="jbt-table-custom structure-divider structure-bright-gray">
                   @foreach (var staff in item.Staffs)
                   {
                       <tr>
                           <td class="structure-text-left">
                               <p>
                                   <span class="structure-bold" style="font-size: 10px !important"> @staff.Role </span>
                                   @if(staff.FullName != null) { <span> - </span> } <span style="font-size: 10px !important"> @staff.FullName </span> 
                                   @if(staff.Phone != null) { <span> - </span> } <span style="font-size: 10px !important"> @staff.Phone </span>  
                                   @if(staff.Email != null) { <span> - </span> } <span style="font-size: 10px !important"> @staff.Email </span>  
                               </p>
                           </td>
                       </tr>
                   }
                </table>
            }

            @if (item.ClassName.Contains("Punchcard") && item.ProgramParticipants != null)
            {
                <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray">
                    <tr>
                        <td>* Today attending the first session</td>
                    </tr>
                    <tr>
                        <td>** Today attending the secnod session</td>
                    </tr>
                    <tr>
                        <td>*** Today attending the both session</td>
                    </tr>
                </table>
            }

        </div>
    }

</body>
</html>
